import 'package:flutter/material.dart';

import 'package:provider/provider.dart';
import 'package:pweb/models/wallet.dart';

import 'package:pweb/pages/payout_page/wallet/card.dart';
import 'package:pweb/providers/wallets.dart';


class WalletWidgets extends StatelessWidget {
  final Function(Wallet) onWalletTap;

  const WalletWidgets({super.key, required this.onWalletTap});

  @override
  Widget build(BuildContext context) {
    final provider = context.watch<WalletsProvider>();

    final wallets = provider.wallets;

    if (wallets == null) {
      return const Center(child: CircularProgressIndicator());
    }

    return GridView.builder(
      scrollDirection: Axis.vertical,
      physics: AlwaysScrollableScrollPhysics(),
      gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
        crossAxisCount: 2,
        mainAxisSpacing: 12,
        crossAxisSpacing: 12,
        childAspectRatio: 3,
      ),
      itemCount: wallets.length,
      itemBuilder: (context, index) {
        final wallet = wallets[index];
        return Padding(
          padding: const EdgeInsets.symmetric(vertical: 6.0),
          child: WalletCard(
            wallet: wallet,
            onTap: () {
              onWalletTap(wallet);
            },
          ),
        );
      },
    );
  }
}